
Infrastructure - Bug #2369

metacat mn.isAuthorized() not checking the rightsHolder field? 

2012-02-22 23:56 - Rob Nahf

Status: Rejected Start date: 2012-02-22

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

getting NotAuthorized when the owner (rightsHolder) calls mn.isAuthorized() on a test object

permissions failing: WRITE, CHANGE_PERMISSION

mn:  demo1

client subject:  "CN=testRightsHolder,DC=org,DC=dataone"

https://demo1.test.dataone.org/knb/d1/mn/v1/meta/TierTesting:testObject:Public_READ

History

#1 - 2012-02-24 18:01 - Ben Leinfelder

It is checking for rightsholder equality. What is the certificate you are using? Perhaps there is an issue with comparing the subjects.

#2 - 2012-02-27 18:16 - Rob Nahf

- Status changed from New to Rejected

found the problem - the DC's in the subject DN were reversed.
